<?php

class ae_enqueue_styles {

    function __construct() {
        add_action('admin_init', [ $this, 'setup_hooks' ]);
    }

    function setup_hooks() {
        add_action('admin_enqueue_scripts', [ $this, 'register_styles' ]);
        add_action('admin_enqueue_scripts', [ $this, 'enqueue_styles' ]);
    }

    function register_styles() {
        wp_register_style('skin-ui-base', DBP_PLUGIN_URL . 'css/bootstrap.min.css');
        wp_register_style('ae-stylesheet', DBP_PLUGIN_URL . 'css/style.css');
        wp_register_style('ae-printer', DBP_PLUGIN_URL . 'printer.css', false, false, 'print');
    }

    function enqueue_styles() {
        wp_enqueue_style('skin-ui-base');
        wp_enqueue_style('ae-stylesheet');
    }
}

function ae_enqueue_styles() {
    static $instance;
    if(!isset($instance)){
        $instance = new ae_enqueue_styles();
    }
    return $instance;
}

ae_enqueue_styles();