<?php

require_once 'lib/ae_enqueue_scripts.php';
require_once 'lib/ae_enqueue_styles.php';
require_once 'lib/ae_admin_menu.php';

function dbp_registration()
{
	$labels = array(
		'name' => "Factura",
		'singular_name' => "Factura",
		'add_new' => "Nueva factura",
		'add_new_item' => "Nueva factura",
		'edit_item' => "Editar",
		'new_item' => "Nueva factura",
		'all_items' => "Todas las facturas",
		'view_item' => "Ver",
		'search_items' => "Buscar facturas",
		'not_found' =>  "No se encontraron facturas",
		'not_found_in_trash' => "No se encontraron facturas en la papelera", 
		'parent_item_colon' => 'dyn_business',
		'menu_name' => "Facturas"

	);
	
	$args = array(
		'labels' => $labels,
		'public' => false,
		'publicly_queryable' => true,
		'show_ui' => false, 
		'show_in_menu' => false, 
		'query_var' => true,
		'has_archive' => true,
		'supports' => array( 'title', 'excerpt','custom-fields','categories','page-attributes')
		); 
		
	register_post_type('dbp_invoice', $args);
	
	register_post_status( 'paid', array(
		'label'       => 'pagada',
		'public'      => true,
		'label_count' => 'Pagadas <span class="count">(%s)</span>',
		'show_in_admin_all' => true,
		'show_in_admin_status_list'	=> true
	) );
	
	register_post_status( 'unpaid', array(
		'label'       => 'no pagada',
		'public'      => true,
		'label_count' => 'No pagadas <span class="count">(%s)</span>',
		'show_in_admin_all' => true,
		'show_in_admin_status_list'	=> true
	) );
	
	register_post_status( 'unpaiable', array(
		'label'       => 'Incobrable',
		'public'      => true,
		'label_count' => 'Incobrables <span class="count">(%s)</span>',
		'show_in_admin_all' => true,
		'show_in_admin_status_list'	=> true
	) );
}

add_action('init', 'dbp_registration');

function dbp_create_roles()
{
	/*add_role('seller', 'Vendedor', array(
		'read' => false,
		'moderate_comments'	=> false,
		'edit_posts'	=> false,
		'edit_others_posts'	=> false,
		'publish_posts'	=> false,
		'edit_dashboard' => false
	))*/;
	
	add_role('client', 'Cliente', array(
		'read' => true
	));
	
	/*add_role('auditor', 'Auditor', array(
		'read' => true
	));
	
	add_role('manager', 'Gerente', array(
		'read'			=> true, 
		'edit_posts'	=> true,
		'delete_posts'	=> true,
		'upload_files'	=> true,
		'edit_published_posts'	=> true,
		'delete_published_posts'	=> true,
		'edit_users'	=> true,
		'moderate_comments'	=> false
	));*/
}